%global srcname epam
# The Fedora Erlang convention is to avoid separating the debug symbols:
# https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.0.4
Release:    1%{?dist}

Summary:    Library for ejabberd for PAM authentication support
License:    ASL 2.0
URL:        https://github.com/processone/%{srcname}/
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# Load epam from this package rather than from ejabberd.
# See https://bugzilla.redhat.com/show_bug.cgi?id=1337216 and
# https://github.com/processone/epam/issues/4
Patch0:     0001-Load-epam-from-the-package-s-own-path-rather-than-ej.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: pam-devel

Provides: erlang-p1_pam = %{version}-%{release}
Obsoletes: erlang-p1_pam < 1.0.3-4%{?dist}


%description
An Erlang library for ejabberd that helps with PAM authentication.


%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1


%build
autoreconf -ivf

%configure

%{erlang_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin
install -pm755 priv/bin/%{srcname} $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/bin/


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}/


%changelog
* Mon Apr 02 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.4-1
- Initial import into Fedora 27.
